<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package brisko
 */

?>
<div class="post-article">
	<?php brisko_post_thumbnail(); ?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
		if ( is_singular() ) :
			the_title( '<h2 class="post-title">', '</h1>' );
		else :
			the_title( '<h2 class="post-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif; ?>
		<?php brisko_before_entry_meta(); ?>
			<div class="entry-meta secondary-font">
				<?php
				brisko_posted_on();
				brisko_posted_by();
				?>
			</div><!-- .entry-meta -->
		<?php brisko_after_entry_meta(); ?>
	</header><!-- .entry-header -->
	<div class="entry-content">
		<?php
		if ( is_singular() ) :
		the_content(
			sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'brisko' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				wp_kses_post( get_the_title() )
			)
		); ?>
			<footer class="entry-footer secondary-font">
				<?php brisko_entry_footer(); ?>
			</footer><!-- .entry-footer -->
<?php else :
		the_excerpt();
		printf( esc_html__( '%1$s', 'brisko' ), '<div class="read-more secondary-font"><a class="more-link" href="'.get_permalink().'">Read More</a></div>' );
endif;
		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'brisko' ),
				'after'  => '</div>',
			)
		);
		?>
	</div><!-- .entry-content -->
</article><!-- #post-<?php the_ID(); ?> -->
</div><!-- post-article -->
